#!/usr/bin/python
import time
import serial
import sys
import json

def slow_write(port, filename):
  r = ""
  with open (filename, "r") as myfile:
    data=myfile.read()
  n=0
  for c in data:
    while port.inWaiting() > 0:
      rc = port.read(1)
#      sys.stderr.write(rc)
      r=r+rc 
#    sys.stderr.write(c)
    port.write(c)    
    n=n+1
    if n%4==0:
      time.sleep(0.01)
    if n%40==0: 
      sys.stderr.write('.')
      sys.stderr.flush()
    while port.inWaiting() > 0:
      r=r+port.read(1)    
  sys.stderr.write("\n")
  return r

BAUD=115200
tester = serial.Serial(
	port=sys.argv[1],
	baudrate=BAUD,
	parity=serial.PARITY_NONE,
	stopbits=serial.STOPBITS_ONE,
	bytesize=serial.EIGHTBITS,
	xonxoff=False, rtscts=False, dsrdtr=False,
)
if not tester.isOpen():
    tester.open()  
sys.stderr.write("Writing to "+sys.argv[1])
tester_result = slow_write(tester, sys.argv[2])
tester.close()
tester = 0
